<?php

namespace App\Enums;

enum ProductCategories: int
{
    case PRODUCTS = 1;
    case VARIANTS = 2;
    case ICONS = 3;
    case CATEGORY = 4; // Kategori
    case TYPE = 5; // Tip
    case OPTION = 6; // Seçenek
    case BODY = 7;
    case MATERIAL = 8;
    case TRIM_MATERIAL = 9;
    case TRIM = 10;
    case STEM = 11;
    case END = 12;
    case FACE_TO_FACE = 13;

    case MARINE = 14; // Gemi Vanaları
    case WATERWORKS = 15; //Su Sistemleri Vanaları
    case MARITIME = 16; //Askeri Gemi Vanaları
    case REMOTE = 17; //Kontrol Vanaları
    case OILGAS = 188; // Petrol & Doğalgaz Vanaları

    case PRODUCT_CODE = 18;
    case FLANS = 19;
    case WP_OD_FL = 20;
    case DN = 21;

    case GAS = 22;
    case PETROLEUM = 23;
    case SEA = 24;
    case WASTEWATER = 25;
    case WATER = 26;

    public static function values(): array
    {
        return array_column(self::cases(), 'name', 'value');
    }

    public function getText(): string
    {
        return match($this){
            self::PRODUCTS => 'Products',
        };
    }
}